### Signal

# RB TrackTransferQueue::missing-plugins

#### Declaration

    gboolean
    missing_plugins (
      RBTrackTransferQueue* self,
      char** details,
      char** descriptions,
      GClosure* closure,
      gpointer user_data
    )

#### Description [src]

Emitted to request installation of one or more encoder plugins for a destination media format. When the closure included in the signal args is called, the transfer batch will be started.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`details`

  Type: An array of `utf8`

  The list of plugin detail strings describing the missing plugins.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`descriptions`

  Type: An array of `utf8`

  The list of descriptions for the missing plugins.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`closure`

  Type: `GClosure`

  A `GClosure` to be called when the plugin installation is complete.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.